fann_get_cascade_min_out_epochs
fann_get_cascade_num_candidates
Fann Functions
PHP Manual

# fann_get_cascade_num_candidate_groups

(PECL fann >= 1.0.0)

fann_get_cascade_num_candidate_groups — Returns the number of candidate groups

### Description

int fann_get_cascade_num_candidate_groups ( resource `$ann` )

The number of candidate groups is the number of groups of identical candidates which will be used during training.

This number can be used to have more candidates without having to define new parameters for the candidates.

See fann_get_cascade_num_candidates() for a description of which candidate neurons will be generated by this parameter.

The default number of candidate groups is 2.

### Parameters

`ann`

  Neural network resource.

### Return Values

The number of candidate groups, or `FALSE` on error.

### See Also

- fann_set_cascade_num_candidate_groups() - Sets the number of candidate groups

fann_get_cascade_min_out_epochs
fann_get_cascade_num_candidates
Fann Functions
PHP Manual